Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/qt30/Makefile,v
retrieving revision 1.108
diff -U2 -p -r1.108 Makefile
--- Makefile	2002/06/15 16:16:30	1.108
+++ Makefile	2002/07/19 20:15:02
@@ -7,6 +7,6 @@
 
 PORTNAME?=	qt
-PORTVERSION?=	3.0.3
-PORTREVISION=	5
+PORTVERSION?=	3.0.5
+#PORTREVISION=	5
 CATEGORIES?=	x11-toolkits
 MASTER_SITES=   ftp://ftp.trolltech.com/qt/source/ \
@@ -32,4 +32,6 @@ QT_PREFIX?=	${PREFIX}
 USE_BZIP2=	yes
 USE_GMAKE=	yes
+USE_REINPLACE=	yes
+REINPLACE_ARGS=	-i ""
 USE_X_PREFIX=	yes
 USE_NEWGCC=	yes
@@ -42,5 +44,5 @@ CONFIGURE_ARGS=	-prefix ${QT_PREFIX} \
 		-${IMAGELIB_TYPE}-imgfmt-mng \
 		-system-libpng -system-libjpeg 	-system-libmng \
-		-no-nas-sound -sm -remote \
+		-no-nas-sound -sm \
 		-docdir ${QT_PREFIX}/share/doc/qt \
 		-I${LOCALBASE}/include -L${LOCALBASE}/lib
@@ -58,5 +60,6 @@ PLIST_SUB+=	OPENGL="@comment "
 CONFIGURE_ARGS+=-disable-opengl
 .endif
-CONFIGURE_ENV=	${ECHO} yes | QTDIR=${WRKSRC}
+CONFIGURE_ENV=	${ECHO} yes | QTDIR="${WRKSRC}" \
+		CFLAGS="${CXXFLAGS}"
 MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PATH=${WRKSRC}/lib
 ALL_TARGET=	symlinks sub-src sub-tools
@@ -100,4 +103,6 @@ post-patch:
 		${RM} -f jri.h jri_md.h jritypes.h npapi.h npupp.h \
 			npunix.c npwin.cpp
+	${REINPLACE_CMD} -e 's,-O2,${CXXFLAGS},' \
+		${WRKSRC}/mkspecs/freebsd-g++/qmake.conf
 
 # Work around qmake generated dependencies
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/qt30/distinfo,v
retrieving revision 1.29
diff -U2 -p -r1.29 distinfo
--- distinfo	2002/04/27 04:21:37	1.29
+++ distinfo	2002/07/19 20:15:02
@@ -1 +1 @@
-MD5 (KDE/qt-x11-free-3.0.3.tar.bz2) = 3d09ea4045809ea2ea3cef791f4fcf88
+MD5 (KDE/qt-x11-free-3.0.5.tar.bz2) = 3c937bf8f39a29af0a17b2a2b156790e
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/qt30/pkg-plist,v
retrieving revision 1.48
diff -U2 -p -r1.48 pkg-plist
--- pkg-plist	2002/05/10 13:00:46	1.48
+++ pkg-plist	2002/07/19 20:15:03
@@ -32,7 +32,6 @@ include/private/qpainter_p.h
 include/private/qpluginmanager_p.h
 include/private/qpsprinter_p.h
-include/private/qremoteinterface_p.h
-include/private/qremotemessage_p.h
 include/private/qrichtext_p.h
+include/private/qsharedmemory_p.h
 include/private/qsqldriverinterface_p.h
 include/private/qsqlmanager_p.h
@@ -265,6 +264,4 @@ include/qrect.h
 include/qregexp.h
 include/qregion.h
-include/qremotefactory.h
-include/qremoteplugin.h
 include/qrtlcodec.h
 include/qscrbar.h
@@ -279,5 +276,4 @@ include/qsettings.h
 include/qsgistyle.h
 include/qshared.h
-include/qsharedmemory.h
 include/qsignal.h
 include/qsignalmapper.h
@@ -390,5 +386,5 @@ lib/libqt-mt.prl
 lib/libqt-mt.so
 lib/libqt-mt.so.3
-lib/libqt-mt.so.3.0.3
+lib/libqt-mt.so.3.0.5
 @exec rm -f %D/lib/libqt-mt.so.3.0 || true
 @exec ln -s libqt-mt.so.3.0.0 %D/lib/libqt-mt.so.3.0 || true
@@ -410,7 +406,10 @@ mkspecs/aix-xlc/qplatformdefs.h
 mkspecs/bsdi-g++/qmake.conf
 mkspecs/bsdi-g++/qplatformdefs.h
+mkspecs/darwin-g++/qmake.conf
+mkspecs/darwin-g++/qplatformdefs.h
 mkspecs/default/qmake.conf
 mkspecs/default/qplatformdefs.h
 mkspecs/dgux-g++/qmake.conf
+mkspecs/dgux-g++/qplatformdefs.h
 mkspecs/freebsd-g++/qmake.conf
 mkspecs/freebsd-g++/qplatformdefs.h
@@ -467,4 +466,5 @@ mkspecs/openunix-g++/qmake.conf
 mkspecs/openunix-g++/qplatformdefs.h
 mkspecs/qnx-g++/qmake.conf
+mkspecs/qnx-g++/qplatformdefs.h
 mkspecs/reliant-64/qmake.conf
 mkspecs/reliant-64/qplatformdefs.h
@@ -481,4 +481,6 @@ mkspecs/solaris-cc/qplatformdefs.h
 mkspecs/solaris-g++/qmake.conf
 mkspecs/solaris-g++/qplatformdefs.h
+mkspecs/solaris-g++-64/qmake.conf
+mkspecs/solaris-g++-64/qplatformdefs.h
 mkspecs/solaris-kcc/qmake.conf
 mkspecs/solaris-kcc/qplatformdefs.h
@@ -497,4 +499,9 @@ mkspecs/win32-borland/qmake.conf
 mkspecs/win32-borland/qplatformdefs.h
 mkspecs/win32-g++/qmake.conf
+mkspecs/win32-icc/qplatformdefs.h
+mkspecs/win32-icc/win32app.dsp
+mkspecs/win32-icc/win32dll.dsp
+mkspecs/win32-icc/qmake.conf
+mkspecs/win32-icc/win32lib.dsp
 mkspecs/win32-msvc/qmake.conf
 mkspecs/win32-msvc/qplatformdefs.h
@@ -529,4 +536,5 @@ share/doc/qt/assistant-3.html
 share/doc/qt/assistant-4.html
 share/doc/qt/assistant.html
+share/doc/qt/assistant.xml
 share/doc/qt/basic.html
 share/doc/qt/bearings.png
@@ -542,6 +550,12 @@ share/doc/qt/buttongroups-example.html
 share/doc/qt/buyhowto.html
 share/doc/qt/callbacks.png
+share/doc/qt/canvas-chart-example.html
 share/doc/qt/canvas-example.html
 share/doc/qt/canvas.html
+share/doc/qt/chart-forms.png
+share/doc/qt/chart-main.png
+share/doc/qt/chart-main2.png
+share/doc/qt/chart-options.png
+share/doc/qt/chart-setdata.png
 share/doc/qt/checklists-example.html
 share/doc/qt/classchart.html
@@ -583,4 +597,5 @@ share/doc/qt/designer-manual-9.html
 share/doc/qt/designer-manual.html
 share/doc/qt/designer.png
+share/doc/qt/designer.xml
 share/doc/qt/designer1.jpg
 share/doc/qt/designer2.jpg
@@ -623,4 +638,19 @@ share/doc/qt/environment.html
 share/doc/qt/events.html
 share/doc/qt/eventsandfilters.html
+share/doc/qt/examples-chart-canvastext-h.html
+share/doc/qt/examples-chart-canvasview-cpp.html
+share/doc/qt/examples-chart-canvasview-h.html
+share/doc/qt/examples-chart-chart-pro.html
+share/doc/qt/examples-chart-chartform-cpp.html
+share/doc/qt/examples-chart-chartform-h.html
+share/doc/qt/examples-chart-chartform_canvas-cpp.html
+share/doc/qt/examples-chart-chartform_files-cpp.html
+share/doc/qt/examples-chart-element-cpp.html
+share/doc/qt/examples-chart-element-h.html
+share/doc/qt/examples-chart-main-cpp.html
+share/doc/qt/examples-chart-optionsform-cpp.html
+share/doc/qt/examples-chart-optionsform-h.html
+share/doc/qt/examples-chart-setdataform-cpp.html
+share/doc/qt/examples-chart-setdataform-h.html
 share/doc/qt/examples.html
 share/doc/qt/face.jpg
@@ -657,4 +687,5 @@ share/doc/qt/httpd-example.html
 share/doc/qt/i18n-example.html
 share/doc/qt/i18n.html
+share/doc/qt/iconset.png
 share/doc/qt/iconview-example.html
 share/doc/qt/iconview-simple_dd-main-cpp.html
@@ -684,4 +715,5 @@ share/doc/qt/linguist-manual-4.html
 share/doc/qt/linguist-manual.html
 share/doc/qt/linguist.png
+share/doc/qt/linguist.xml
 share/doc/qt/listbox-example.html
 share/doc/qt/listboxcombo-example.html
@@ -731,4 +763,7 @@ share/doc/qt/outliner-example.html
 share/doc/qt/overviews-list.html
 share/doc/qt/palette.png
+share/doc/qt/pen-cap-styles.png
+share/doc/qt/pen-join-styles.png
+share/doc/qt/pen-styles.png
 share/doc/qt/penstyles.png
 share/doc/qt/phrasebookdialog.png
@@ -931,11 +966,5 @@ share/doc/qt/qd-chapdialogs-addingwidget
 share/doc/qt/qd-chapdialogs-creatingmulticlipform3.png
 share/doc/qt/qd-chapdialogs-creatingnewprojects.png
-share/doc/qt/qd-chapdialogs-layoutwidgets-part2-stepone-twogroups.png
-share/doc/qt/qd-chapdialogs-layoutwidgets-part2-steptwo-layoutform.png
-share/doc/qt/qd-chapdialogs-layoutwidgets-part3-stepfive-layoutform.png
-share/doc/qt/qd-chapdialogs-layoutwidgets-part3-steptwo-addspacer.png
 share/doc/qt/qd-chapdialogs-layoutwidgets-stepone-after.png
-share/doc/qt/qd-chapdialogs-layoutwidgets-stepthree-groupedwidgets.png
-share/doc/qt/qd-chapdialogs-layoutwidgets-stepthree-rubberband.png
 share/doc/qt/qd-chapdialogs-objectexplorer.png
 share/doc/qt/qd-chapdialogs-propertyeditor.png
@@ -1020,4 +1049,10 @@ share/doc/qt/qd-helpmenu.png
 share/doc/qt/qd-helptoolbuttons3.png
 share/doc/qt/qd-inputtoolbuttons3.png
+share/doc/qt/qd-layout2.1-twogroups.png
+share/doc/qt/qd-layout2.2-layoutform.png
+share/doc/qt/qd-layout3-groupedwidgets.png
+share/doc/qt/qd-layout3-rubberband.png
+share/doc/qt/qd-layout3.2-addspacer.png
+share/doc/qt/qd-layout3.5-layoutform.png
 share/doc/qt/qd-layoutmenu1.png
 share/doc/qt/qd-layouttoolbuttons3.png
@@ -1173,4 +1208,5 @@ share/doc/qt/qerrormessage-h.html
 share/doc/qt/qerrormessage-members.html
 share/doc/qt/qerrormessage.html
+share/doc/qt/qerrormessage.png
 share/doc/qt/qeucjpcodec-h.html
 share/doc/qt/qeucjpcodec-members.html
@@ -1230,5 +1266,7 @@ share/doc/qt/qftp-h.html
 share/doc/qt/qftp-members.html
 share/doc/qt/qftp.html
-share/doc/qt/qgbkcodec-h.html
+share/doc/qt/qgb18030codec-h.html
+share/doc/qt/qgb18030codec-members.html
+share/doc/qt/qgb18030codec.html
 share/doc/qt/qgbkcodec-members.html
 share/doc/qt/qgbkcodec.html
@@ -1431,4 +1469,5 @@ share/doc/qt/qmake-manual-6.html
 share/doc/qt/qmake-manual-7.html
 share/doc/qt/qmake-manual.html
+share/doc/qt/qmake.xml
 share/doc/qt/qmap-h.html
 share/doc/qt/qmap-members.html
@@ -1449,6 +1488,9 @@ share/doc/qt/qmenudata-h.html
 share/doc/qt/qmenudata-members.html
 share/doc/qt/qmenudata.html
+share/doc/qt/qmessagebox-crit.png
 share/doc/qt/qmessagebox-h.html
+share/doc/qt/qmessagebox-info.png
 share/doc/qt/qmessagebox-members.html
+share/doc/qt/qmessagebox-warn.png
 share/doc/qt/qmessagebox.html
 share/doc/qt/qmetaobject-h.html
@@ -1508,4 +1550,9 @@ share/doc/qt/qobjectcleanuphandler-h.htm
 share/doc/qt/qobjectcleanuphandler-members.html
 share/doc/qt/qobjectcleanuphandler.html
+share/doc/qt/qobjectlist-h.html
+share/doc/qt/qobjectlist-members.html
+share/doc/qt/qobjectlist.html
+share/doc/qt/qobjectlistit-members.html
+share/doc/qt/qobjectlistit.html
 share/doc/qt/qpaintdevice-h.html
 share/doc/qt/qpaintdevice-members.html
@@ -1796,7 +1843,9 @@ share/doc/qt/qstylesheet.html
 share/doc/qt/qstylesheetitem-members.html
 share/doc/qt/qstylesheetitem.html
+share/doc/qt/qt-colors.png
 share/doc/qt/qt-members.html
 share/doc/qt/qt-template-lib.html
 share/doc/qt/qt.html
+share/doc/qt/qt.xml
 share/doc/qt/qt30-class-chart.png
 share/doc/qt/qtab-members.html
@@ -2104,7 +2153,5 @@ share/doc/qt/sqltable-example.html
 share/doc/qt/statistics-example.html
 share/doc/qt/step-by-step-examples.html
-share/doc/qt/t1.html
 share/doc/qt/t1.png
-share/doc/qt/t10-Makefile.html
 share/doc/qt/t10-cannon-cpp.html
 share/doc/qt/t10-cannon-h.html
@@ -2112,7 +2159,5 @@ share/doc/qt/t10-lcdrange-cpp.html
 share/doc/qt/t10-lcdrange-h.html
 share/doc/qt/t10-main-cpp.html
-share/doc/qt/t10.html
 share/doc/qt/t10.png
-share/doc/qt/t11-Makefile.html
 share/doc/qt/t11-cannon-cpp.html
 share/doc/qt/t11-cannon-h.html
@@ -2120,7 +2165,5 @@ share/doc/qt/t11-lcdrange-cpp.html
 share/doc/qt/t11-lcdrange-h.html
 share/doc/qt/t11-main-cpp.html
-share/doc/qt/t11.html
 share/doc/qt/t11.png
-share/doc/qt/t12-Makefile.html
 share/doc/qt/t12-cannon-cpp.html
 share/doc/qt/t12-cannon-h.html
@@ -2128,7 +2171,5 @@ share/doc/qt/t12-lcdrange-cpp.html
 share/doc/qt/t12-lcdrange-h.html
 share/doc/qt/t12-main-cpp.html
-share/doc/qt/t12.html
 share/doc/qt/t12.png
-share/doc/qt/t13-Makefile.html
 share/doc/qt/t13-cannon-cpp.html
 share/doc/qt/t13-cannon-h.html
@@ -2138,7 +2179,5 @@ share/doc/qt/t13-lcdrange-cpp.html
 share/doc/qt/t13-lcdrange-h.html
 share/doc/qt/t13-main-cpp.html
-share/doc/qt/t13.html
 share/doc/qt/t13.png
-share/doc/qt/t14-Makefile.html
 share/doc/qt/t14-cannon-cpp.html
 share/doc/qt/t14-cannon-h.html
@@ -2148,23 +2187,14 @@ share/doc/qt/t14-lcdrange-cpp.html
 share/doc/qt/t14-lcdrange-h.html
 share/doc/qt/t14-main-cpp.html
-share/doc/qt/t14.html
 share/doc/qt/t14.png
-share/doc/qt/t2.html
 share/doc/qt/t2.png
-share/doc/qt/t3.html
 share/doc/qt/t3.png
-share/doc/qt/t4.html
 share/doc/qt/t4.png
-share/doc/qt/t5.html
 share/doc/qt/t5.png
-share/doc/qt/t6.html
 share/doc/qt/t6.png
-share/doc/qt/t7-Makefile.html
 share/doc/qt/t7-lcdrange-cpp.html
 share/doc/qt/t7-lcdrange-h.html
 share/doc/qt/t7-main-cpp.html
-share/doc/qt/t7.html
 share/doc/qt/t7.png
-share/doc/qt/t8-Makefile.html
 share/doc/qt/t8-cannon-cpp.html
 share/doc/qt/t8-cannon-h.html
@@ -2172,7 +2202,5 @@ share/doc/qt/t8-lcdrange-cpp.html
 share/doc/qt/t8-lcdrange-h.html
 share/doc/qt/t8-main-cpp.html
-share/doc/qt/t8.html
 share/doc/qt/t8.png
-share/doc/qt/t9-Makefile.html
 share/doc/qt/t9-cannon-cpp.html
 share/doc/qt/t9-cannon-h.html
@@ -2180,5 +2208,4 @@ share/doc/qt/t9-lcdrange-cpp.html
 share/doc/qt/t9-lcdrange-h.html
 share/doc/qt/t9-main-cpp.html
-share/doc/qt/t9.html
 share/doc/qt/t9.png
 share/doc/qt/t9_1.png
@@ -2225,4 +2252,30 @@ share/doc/qt/tt3_11_pt.png
 share/doc/qt/tutorial.html
 share/doc/qt/tutorial.png
+share/doc/qt/tutorial1-01.html
+share/doc/qt/tutorial1-02.html
+share/doc/qt/tutorial1-03.html
+share/doc/qt/tutorial1-04.html
+share/doc/qt/tutorial1-05.html
+share/doc/qt/tutorial1-06.html
+share/doc/qt/tutorial1-07.html
+share/doc/qt/tutorial1-08.html
+share/doc/qt/tutorial1-09.html
+share/doc/qt/tutorial1-10.html
+share/doc/qt/tutorial1-11.html
+share/doc/qt/tutorial1-12.html
+share/doc/qt/tutorial1-13.html
+share/doc/qt/tutorial1-14.html
+share/doc/qt/tutorial2-01.html
+share/doc/qt/tutorial2-02.html
+share/doc/qt/tutorial2-03.html
+share/doc/qt/tutorial2-04.html
+share/doc/qt/tutorial2-05.html
+share/doc/qt/tutorial2-06.html
+share/doc/qt/tutorial2-07.html
+share/doc/qt/tutorial2-08.html
+share/doc/qt/tutorial2-09.html
+share/doc/qt/tutorial2-10.html
+share/doc/qt/tutorial2-11.html
+share/doc/qt/tutorial2.html
 share/doc/qt/uic.html
 share/doc/qt/unicode.html
@@ -2262,4 +2315,5 @@ templates/Tab_Dialog.ui
 @dirrm mkspecs/win32-msvc
 @dirrm mkspecs/win32-g++
+@dirrm mkspecs/win32-icc
 @dirrm mkspecs/win32-borland
 @dirrm mkspecs/unixware7-g++
@@ -2272,4 +2326,5 @@ templates/Tab_Dialog.ui
 @dirrm mkspecs/solaris-kcc
 @dirrm mkspecs/solaris-g++
+@dirrm mkspecs/solaris-g++-64
 @dirrm mkspecs/solaris-cc
 @dirrm mkspecs/solaris-64
@@ -2305,4 +2360,5 @@ templates/Tab_Dialog.ui
 @dirrm mkspecs/dgux-g++
 @dirrm mkspecs/default
+@dirrm mkspecs/darwin-g++
 @dirrm mkspecs/bsdi-g++
 @dirrm mkspecs/aix-xlc
Index: files/patch-aa
===================================================================
RCS file: patch-aa
diff -N patch-aa
--- /cvstmp/cvs6LRKP3k9vp	Fri Jul 19 15:15:03 2002
+++ /dev/null	Fri Jul 19 03:13:25 2002
@@ -1,50 +0,0 @@
---- src/styles/qcommonstyle.cpp	Thu Apr 25 22:37:37 2002
-+++ src/styles/qcommonstyle.cpp.qt-copy	Thu Apr 25 22:38:42 2002
-@@ -702,9 +702,9 @@
-     case CE_ProgressBarContents:
- 	{
- 	    const QProgressBar *progressbar = (const QProgressBar *) widget;
--
- 	    bool reverse = QApplication::reverseLayout();
--	    int w = r.width() - 4;
-+	    int fw = 2;
-+	    int w = r.width() - 2*fw;
- 	    if ( !progressbar->totalSteps() ) {
- 		// draw busy indicator
- 		int x = progressbar->progress() % (w * 2);
-@@ -712,7 +712,7 @@
- 		    x = 2 * w - x;
- 		x = reverse ? r.right() - x : x + r.x();
- 		p->setPen( QPen(cg.highlight(), 4) );
--		p->drawLine(x, r.y() + 1, x, r.height() - 2);
-+		p->drawLine(x, r.y() + 1, x, r.height() - fw);
- 	    } else {
- 		const int unit_width = pixelMetric(PM_ProgressBarChunkWidth, widget);
- 		int u;
-@@ -721,7 +721,7 @@
- 		else
- 		    u = w / unit_width;
- 		int p_v = progressbar->progress();
--		int t_s = progressbar->totalSteps();
-+		int t_s = progressbar->totalSteps() ? progressbar->totalSteps() : 1;
- 
- 		if ( u > 0 && p_v >= INT_MAX / u && t_s >= u ) {
- 		    // scale down to something usable.
-@@ -731,7 +731,7 @@
- 
- 		// nu < tnu, if last chunk is only a partial chunk
- 		int tnu, nu;
--		tnu = nu = p_v * u / (t_s - 1);
-+		tnu = nu = p_v * u / t_s;
- 
- 		if (nu * unit_width > w)
- 		    nu--;
-@@ -742,7 +742,7 @@
- 		// display at the end.
- 		int x = 0;
- 		int x0 = reverse ? r.right() - ((unit_width > 1) ?
--						unit_width : 2) : r.x() + 2;
-+						unit_width : fw) : r.x() + fw;
- 		for (int i=0; i<nu; i++) {
- 		    drawPrimitive( PE_ProgressBarChunk, p,
- 				   QRect( x0+x, r.y(), unit_width, r.height() ),
Index: files/patch-qmake
===================================================================
RCS file: patch-qmake
diff -N patch-qmake
--- /dev/null	Fri Jul 19 03:13:25 2002
+++ patch-qmake	Fri Jul 19 15:15:03 2002
@@ -0,0 +1,7 @@
+--- qmake/GNUmakefile.in	Fri Apr 12 06:20:21 2002
++++ qmake/GNUmakefile.in	Fri Jul 19 12:44:25 2002
+@@ -13,3 +13,3 @@
+ 
+-CFLAGS=@QMAKE_CFLAGS@ -I. -Igenerators -Igenerators/unix -Igenerators/win32  -Igenerators/mac \
++CFLAGS+=@QMAKE_CFLAGS@ -I. -Igenerators -Igenerators/unix -Igenerators/win32  -Igenerators/mac \
+ 	-I@OUT_QTDIR@/include -I@REL_QTDIR@/include -I@OUT_QTDIR@/src/tools \
